[hardknott][PATCH] containerd-opencontainers: add CVE_VERSION setting


Chen Qi
 

The NVD database uses version without a prefixing 'v'
for containerd.

e.g.
https://nvd.nist.gov/vuln/detail/CVE-2022-23648

So we need to explictly set CVE_VERSION.

Signed-off-by: Chen Qi <Qi.Chen@...>
---
recipes-containers/containerd/containerd-opencontainers_git.bb | 1 +
1 file changed, 1 insertion(+)

diff --git a/recipes-containers/containerd/containerd-opencontainers_git.bb b/recipes-containers/containerd/containerd-opencontainers_git.bb
index 40b03163..2beeaf8f 100644
--- a/recipes-containers/containerd/containerd-opencontainers_git.bb
+++ b/recipes-containers/containerd/containerd-opencontainers_git.bb
@@ -16,6 +16,7 @@ LICENSE = "Apache-2.0"
LIC_FILES_CHKSUM = "file://src/import/LICENSE;md5=1269f40c0d099c21a871163984590d89"

CONTAINERD_VERSION = "v1.4.13"
+CVE_VERSION = "1.4.13"

EXTRA_OEMAKE += "GODEBUG=1"

--
2.33.0


Bruce Ashfield
 

merged.

Bruce

In message: [meta-virtualization][hardknott][PATCH] containerd-opencontainers: add CVE_VERSION setting
on 25/04/2022 Chen Qi wrote:

The NVD database uses version without a prefixing 'v'
for containerd.

e.g.
https://nvd.nist.gov/vuln/detail/CVE-2022-23648

So we need to explictly set CVE_VERSION.

Signed-off-by: Chen Qi <Qi.Chen@...>
---
recipes-containers/containerd/containerd-opencontainers_git.bb | 1 +
1 file changed, 1 insertion(+)

diff --git a/recipes-containers/containerd/containerd-opencontainers_git.bb b/recipes-containers/containerd/containerd-opencontainers_git.bb
index 40b03163..2beeaf8f 100644
--- a/recipes-containers/containerd/containerd-opencontainers_git.bb
+++ b/recipes-containers/containerd/containerd-opencontainers_git.bb
@@ -16,6 +16,7 @@ LICENSE = "Apache-2.0"
LIC_FILES_CHKSUM = "file://src/import/LICENSE;md5=1269f40c0d099c21a871163984590d89"

CONTAINERD_VERSION = "v1.4.13"
+CVE_VERSION = "1.4.13"

EXTRA_OEMAKE += "GODEBUG=1"

--
2.33.0